/*
 * SOCKLAB - "laboratoire" d'etude des sockets internet - ENSIMAG - Juillet 93
 *
 * udp.c: commandes en mode UDP
 *
 */

#include "socklab.h"

char* versionUdp = "udp.c : $Revision: 71 $ du $Date: 2007-05-03 15:35:56 +0200 (Thu, 03 May 2007) $ par $Author: rousseau $\n";

/* Creation d'une socket
 *=======================================================================
 *
 */

int UDP_socket(argc, argv)
	int	argc;
	char	*argv[];
{
	static	char	*socket_argv[] = { "socket", "udp", 0 };
	static	char	*bind_argv[] = { "bind", ".", "*", "0", 0 };
	static	char	*close_argv[] = { "close", ".", 0 };
	int	so;
	int	port;

	so = socket_call(2, socket_argv);
	if (so==-1)
		return(-1);

	port = bind_call(4, bind_argv);
	if (port==-1)
	{
		close_call(2, close_argv);
		return(-1);
	}

	printf("Socket UDP creee: Id=%d, port=%d\n", sock[so], port);
	return(0);
}



/* reception d'un message
 *=======================================================================
 *
 */

int UDP_recvfrom(argc, argv)
	int	argc;
	char	*argv[];
{
	argc = remove_flags(argc, argv);

	return(recvfrom_call(argc, argv));
}


/* envoi d'un message
 *=======================================================================
 *
 */

int UDP_sendto(argc, argv)
	int	argc;
	char	*argv[];
{
	argc = remove_flags(argc, argv);

	return(sendto_call(argc, argv));
}

